IME selector appears when the VisualEditor headings style selector is clicked
Closed, ResolvedPublic

Description

Enter a wiki with VE and ULS. (Enable ULS in preferences if needed.)

Start editing a page using VE. Press the headings style dropdown.

Observed: IME selector appears near the dropdown.

Expected: IME selector must not appear. It's not a place for writing things.

Background: there's an <input> element hiding there to capture click events (according to Roan).

https://gerrit.wikimedia.org/r/#/c/68339/ may be able to fix it (though some modifications may be needed).


Version: unspecified
Severity: normal
Whiteboard: ve

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz50529.
Amire80 created this task.Via LegacyJul 1 2013, 10:12 PM
Amire80 added a comment.Via ConduitJul 5 2013, 10:34 AM

I tested, and my assumption is correct: If https://gerrit.wikimedia.org/r/#/c/68339/ is merged, then this bug can be fixed by adding:

$wgULSNoImeSelectors[] = 'ul.ve-ui-menuWidget input';

gerritbot added a comment.Via ConduitJul 7 2013, 9:47 AM

Change 72356 had a related patch set uploaded by Amire80:
Remove unnecessary ULS IME selector from VE headings menu

https://gerrit.wikimedia.org/r/72356

gerritbot added a comment.Via ConduitJul 29 2013, 4:35 PM

Change 72356 merged by jenkins-bot:
Remove unnecessary ULS IME selector from VE headings menu

https://gerrit.wikimedia.org/r/72356

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.